Difference between revisions of "Patches and versions"

From Stars!wiki
Jump to: navigation, search
Line 1: Line 1:
{|align=right
+
<noinclude>{{Utilities}}</noinclude>
|__TOC__
+
 
|}
 
 
The latest and current version is '''2.6JRC4'''. It is largely compatible with 2.6JRC3 and 2.7JRC3, however upgrading is recommended. There are no patches to do this, simply download the latest executable and save it over your existing stars.exe.
 
The latest and current version is '''2.6JRC4'''. It is largely compatible with 2.6JRC3 and 2.7JRC3, however upgrading is recommended. There are no patches to do this, simply download the latest executable and save it over your existing stars.exe.
 
However, if you are using [[Customizing Stars!#StarsEd|Stars Editor]] you will need to use 2.6/7JRC3. For a zero-cost start etc where you switch to the unedited stars, you can safely use 2.6JRC4 after that.
 
However, if you are using [[Customizing Stars!#StarsEd|Stars Editor]] you will need to use 2.6/7JRC3. For a zero-cost start etc where you switch to the unedited stars, you can safely use 2.6JRC4 after that.

Revision as of 03:19, 2 September 2008

See also Utilities | Index | Downloads | Patches and versions | Related Websites | Technical Information
Game setup | References | Calculators | In-game information processing and sharing | m and x file management | Online Utilities

The latest and current version is 2.6JRC4. It is largely compatible with 2.6JRC3 and 2.7JRC3, however upgrading is recommended. There are no patches to do this, simply download the latest executable and save it over your existing stars.exe. However, if you are using Stars Editor you will need to use 2.6/7JRC3. For a zero-cost start etc where you switch to the unedited stars, you can safely use 2.6JRC4 after that.

2.6 vs 2.7

Version 2.6 is the registered shareware version(downloadable).

Version 2.7 is the retail version (supplied on the Stars! CD).

The only difference between them is that version 2.7 has sound effects in the battle viewer. In terms of game play, there is no difference between them and they are completely compatible with each other. See #Compatibility for version differences.

Because Stars! was designed to run on Windows 3.11 or Windows 95, you may experience problems running version 2.7 on later Windows versions. In particular version 2.7 requires wavemix.dll, which is no longer supplied with Windows. To install it, simply copy it into your c:\windows directory(or wherever you installed Windows.)

Other available versions

Version 1.1a

While the layout and appearance will be immediately recognisable to all players, and the game concepts are the same; this version is so old that it is practically a different game. Differences include:

  • NO PRTS vs LRTS - instead a single list of racial traits - no CA ^_^
  • Fuel is a mineral resource that requires mining(and has an affective weight)
  • You can destroy your own installations(factories/mines/defenses)
  • Starbases are a single queueable item and are not editable
  • No diplomacy settings
  • No minefields

Versions 2.0-2.6/7i

Version 2 was the start of Stars! as we know it now with version 2.5 bringing some major changes, including a new battle system. Versions 2.6b/2.7 were intended to be the final versions, but patches continued with various bug fixes and balancing issues being dealt with as the versions increased.

Versions j and RC1/2

Version j was (again) intended to be the final release version, however several release candidates(RC) were produced to fix various bugs found in the software. Version J and higher are able to read the game files of lesser versions but will save them as version J. Except for RC3 and RC4 the different RCs are not compatible with each other. Version J also included a blacklist of serial codes that had been leaked to the internet.

Compatibility

As determined from the release notes:

  • 2.7 & 2.6b are 100% compatible.
  • 2.7a & 2.6c are 100% compatible.
  • 2.7b & 2.6d are 100% compatible.
  • 2.7f & 2.6f, 2.7g & 2.6g, 2.7h & 2.6h, 2.7i & 2.6i - each pair is 100% compatible.
    Between pairs, players can play in games hosted by a lesser versions, but not vice-versa.
  • 2.7jrc3, 2.6jrc3 & 2.6jrc4
    Along with other host-side fixes, 2.6jrc4 introduces some additional integrity checking of .r & .x files which sometimes causes issues, but otherwise they are 100% compatible.

From version 2.5 onwards, each version is capable of reading files produced by previous(2.5+) versions and from 2.6/7f-2.6/7i will (player-side) save to the earlier(2.6/7f+) version or (host-side) save to the hosts version although mixing versions in this way is not recommended unless upgrading. You can upgrade fine within v2.0-v2.0b or 2.5-2.6jcr4/2.7jrc3, but you can't go from 2.0*-2.5+.

The general formula for mid-game upgrades is:

  1. Players submit thier turns
  2. Everyone upgrades
  3. Host generates new turn & play continues

Using multiple versions

Stars! has no requirement on the name of the .exe file so you can have a stars11a.exe,stars26i.exe and starsjrc4.exe all in the same directory and they will all work fine. However the help files for v1.1a, v2.0b and 2.5+ are quite different so you may experience problems with the context-sensitive help system. If you're using multiple versions, I recommend using the command line options to create shortcuts for each game you're playing and running versions 1.1a & 2.0b in thier own directories.

See Also